<template>
    <div>
        <ScanNotice :warningLabel="warningMessage" />    
    </div>
</template>

<script>
import ScanNotice from "@/modules/scanner/components/ScanNotice.vue";

export default {
    name: "LicenseNotice",
    data() {
		return {
			/* translators: %1$s: URL to the license settings page */
			warningMessage: this.$i18n.sprintf(
				this.$i18n.__(
					'We\'re ready to scan for cookies, but we need your license key first. Let\'s set it up <a href="%1$s" target="_blank">here</a>!',
					"webtoffee-cookie-consent"
				),
				"admin.php?page=cookie-consent#/license"
			),
		};
	},
    components: {
        ScanNotice
    },
    methods: {
    }
};
</script>
<style lang="scss" scopped>
.wcc-scan-notice-warning-div {
    width: 407px;
}
</style>
